Skip to main content
PUT
/
api-keys
/
{api_key}
Update an API key
curl --request PUT \
  --url https://app.ezyshield.com.au/api/api-keys/{api_key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>",
      "token": "<string>",
      "abilities": [
        "<string>"
      ],
      "created_at": "<string>",
      "last_used_at": "<string>",
      "expires_at": "<string>"
    },
    "relationships": {
      "creator": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "email": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key
string
required

The API key ID. Example: key_01jz8v2q4x...

Query Parameters

include
enum<string>[]
Available options:
creator
fields[api-keys]
enum<string>[]
Available options:
name,
token,
abilities,
created_at,
last_used_at,
expires_at
fields[users]
enum<string>[]
Available options:
name,
email,
created_at,
updated_at

Body

application/json
name
string
required

The name of the API key.

Maximum string length: 255

Response

ApiKeyResource

data
ApiKeyResource · object
required
included
UserResource · object[]